Subject: bootutils-0.1: Clean filesystem startup/shutdown
From: [email-masked]
Date: Fri, 2 Jul 93 13:30:09 GMT
Newsgroups: comp.os.linux.announce

I have uploaded bootutils-0.1.tar.gz to tsx-11.mit.edu,
sunsite.unc.edu and nic.funet.fi.  It can now be found in Incoming on
sunsite, but will hopefully be moved to utils/disk-management soon.

* ALPHA RELEASE: Use at your own risk! *

* You MUST have 0.99pl10 or later kernel to make use of all of the
  facilities of this package.  If you can live without the unmount-root
  feature, then 0.99pl9 will work. *

This is the first release of a set of utilities designed to automate
the management and checking of filesystems at boot time and shutdown.
It supports automatic and safe 'fsck' of all filesystems (including
root) at boot time by booting with root readonly; if the fsck succeeds
then root is remounted read-write and booting can continue.

This is especially useful in conjunction with ext2fs filesystems,
because the ext2fs 'clean' flag will be detected and clean filesystems
will be skipped during the automatic fsck.  All filesystems, including
root, will be unmounted during shutdown and the clean flag will be set
for ext2fs filesystems.  So, with ext2fs the automatic fsck will only
be invoked after a crash or unexpected reboot where the filesystems
were not cleanly unmounted.

The package consists of a modified rdev to allow selection of
read-only root mounting mode for kernel images, changes to the mount
package to allow remounting of mounted filesystems and unmounting of
the root, and David Engel's fsck front end which automates the fsck
process itself.  There is also a sample /etc/rc script included.  The
new mount program is based on a set of patches posted a few weeks ago
to the Net, but I cannot locate their author.

The fsck should be used in conjunction with e2fsprogs-0.3 or later.
The detection of filesystem errors when used with other fsck programs
may not be entirely reliable, since the fsck front end relies upon the
use of a standard set of error codes.

This is a preliminary testing release.  Please mail me with your
comments.  After I have had a bit of feedback I will rerelease the
package as a set of patches against the standard utile source
distribution.

Cheers,
 Stephen.
--
Stephen Tweedie <[email-masked]>   (Internet: <[email-masked]>)
Department of Computer Science, Edinburgh University, Scotland.

--
Send submissions for comp.os.linux.announce to: [email-masked]